Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001145Frama-CKernel > Makefilepublic2012-04-12 13:372014-02-12 16:59
ReporterAnne 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Nitrogen-20111001 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001145: PLUGIN_LINK_GUI_OFLAGS not used ?
DescriptionIt seems that the variables PLUGIN_LINK_GUI_BFLAGS and PLUGIN_LINK_GUI_OFLAGS that can be defined in plug-ins Makefile are not used in Makefile.plugin.

In $(TARGET_GUI_CMXS) I managed to change :
  $(OCAMLOPT) -o $@ -shared $^
into
  $(OCAMLOPT) -o $@ -shared $($(basename $(notdir $@))_OFLAGS) \
                $($(basename $(notdir $@))_gui_TARGET_GUI_OFLAGS) \
                $^
to make it work in my plug-in,
but I guess that there are other modifications to do...
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002863)
signoles (manager)
2012-04-12 18:13

Thx. Actually only PLUGIN_LINK_GUI_OFLAGS was misused.
(0004700)
signoles (manager)
2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2012-04-12 13:37 Anne New Issue
2012-04-12 13:37 Anne Status new => assigned
2012-04-12 13:37 Anne Assigned To => signoles
2012-04-12 18:12 svn Checkin
2012-04-12 18:12 svn Status assigned => resolved
2012-04-12 18:12 svn Resolution open => fixed
2012-04-12 18:13 signoles Note Added: 0002863
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2014-02-12 16:59 signoles Note Added: 0004700
2014-02-12 16:59 signoles Status closed => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker